Subject: Re: [PATCH nf] netfilter: nf_tables: check for valid chain type pointer before dereference

From: Florian Westphal <[email-masked]>
Date: Tue, 21 Jan 2020 15:35:59 +0100

Pablo Neira Ayuso <[email-masked]> wrote:
> > Otherwise, if a helper function to check for the families that are
> > really supported could be another alternative. But not sure it is
> > worth?
> 
> Not worth.
> 
> Probably this patch instead? Just make sure that access to the chain
> type array is safe, no direct access to chain_type[][] anymore.
> 
> This includes the check for the default type too, since it cannot be
> assume to always have a filter chain for unsupported families.
> 
> Thanks for explaining.

LGTM, this will prbably also fix the other sytbot splat wrt.
nla_strcmp().